MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027458Open CASCADE[OCCT] OCCT:Configurationpublic2016-05-01 17:062016-12-09 16:37
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027458: Configuration, genproj.tcl - add -rpath-link option to linker in Code::Blocks project
DescriptionFor checking availability of all symbols in the library, g++ on Linux does not use -L option leading to the following error if LD_LIBRARY_PATH is not set beforehand:
-------------- Build: Release in DRAWEXE (compiler: GNU GCC Compiler)---------------

g++ -mmmx -msse -msse2 -mfpmath=sse -std=c++0x -fPIC -DOCC_CONVERT_SIGNALS -Wall -fexceptions -O2 -DNDEBUG 
-DNo_Exception -I../../../inc -c /develop/occt/src/DRAWEXE/DRAWEXE.cxx -o ../../../lin/cbp/obj/src/DRAWEXE/DRAWEXE.o

g++ -L../../../lin/cbp/lib -o ../../../lin/cbp/bin/DRAWEXE ../../../lin/cbp/obj/src/DRAWEXE/DRAWEXE.o    
-lTKDraw -lTKMesh -lTKTopAlgo -lTKHLR -lTKGeomAlgo -lTKGeomBase -lTKG2d -lTKBRep -lTKMath -lTKG3d -lTKernel 
-lTKService
/usr/bin/ld: warning: libTKShHealing.so, needed by ../../../lin/cbp/lib/libTKService.so, not found (try 
using -rpath or -rpath-link)
../../../lin/cbp/lib/libTKService.so: undefined reference to `ShapeBuild_ReShape::ShapeBuild_ReShape()'

../../../lin/cbp/lib/libTKService.so: undefined reference to `ShapeFix_Face::Init(TopoDS_Face const&)'

../../../lin/cbp/lib/libTKService.so: undefined reference to `ShapeFix_Face::ShapeFix_Face()'
../../../lin/cbp/lib/libTKService.so: undefined reference to `vtable for ShapeFix_Face'
../../../lin/cbp/lib/libTKService.so: undefined reference to `ShapeFix_Root::SetContext(opencascade::handle<ShapeBuild_ReShape> 
const&)'
../../../lin/cbp/lib/libTKService.so: undefined reference to `vtable for ShapeFix_Root'
../../../lin/cbp/lib/libTKService.so: undefined reference to `ShapeFix_Face::Perform()'
collect2: error: ld returned 1 exit status
Process terminated with status 1 (0 minute(s), 4 second(s))
7 error(s), 1 warning(s) (0 minute(s), 4 second(s))

g++ suggests using -rpath-link option for eliminating this error.
Steps To ReproduceStart Code::Blocks solution without using codeblocks.sh or using codeblocks.sh with another build mode.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0053769)
git (administrator)
2016-05-01 17:14

Branch CR27458 has been created by kgv.

SHA-1: 94342cafada91b596c5903e1736ce68eb132367b


Detailed log of new commits:

Author: kgv
Date: Sun May 1 17:12:47 2016 +0300

    0027458: Configuration, genproj.tcl - add -rpath-link option to linker in Code::Blocks project
(0053948)
kgv (developer)
2016-05-10 13:52

Patch is ready for review.
(0054136)
kgv (developer)
2016-05-19 14:19

Please take the patch, testing is not needed.
(0054193)
git (administrator)
2016-05-20 12:21

Branch CR27458 has been deleted by inv.

SHA-1: 94342cafada91b596c5903e1736ce68eb132367b

- Related Changesets
occt: master 55fb31da
Timestamp: 2016-05-01 14:12:47
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027458: Configuration, genproj.tcl - add -rpath-link option to linker in Code::Blocks project
mod - .gitignore Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-01 17:06 kgv New Issue
2016-05-01 17:06 kgv Assigned To => bugmaster
2016-05-01 17:07 kgv Assigned To bugmaster => kgv
2016-05-01 17:07 kgv Priority normal => low
2016-05-01 17:07 kgv Status new => assigned
2016-05-01 17:14 git Note Added: 0053769
2016-05-10 13:52 kgv Note Added: 0053948
2016-05-10 13:52 kgv Assigned To kgv => abv
2016-05-10 13:52 kgv Status assigned => resolved
2016-05-19 14:19 kgv Note Added: 0054136
2016-05-19 14:19 kgv Assigned To abv => bugmaster
2016-05-19 14:19 kgv Status resolved => reviewed
2016-05-20 11:18 bugmaster Changeset attached => occt master 55fb31da
2016-05-20 11:18 bugmaster Status reviewed => verified
2016-05-20 11:18 bugmaster Resolution open => fixed
2016-05-20 12:21 git Note Added: 0054193
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker